Package twisted :: Package python :: Module threadpool

[frames | no frames]

## Module twisted.python.threadpool

twisted.threadpool: a pool of threads to which we dispatch tasks.

In most cases you can just use reactor.callInThread and friends instead of creating a thread pool directly.

Classes
`ThreadPool` | This class (hopefully) generalizes the functionality of a pool of threads to which work can be dispatched.
`ThreadSafeList` | In Jython 2.1 lists aren't thread-safe, so this wraps it.

Variable Summary
`WorkerStop` | `WorkerStop` = `<twisted.python.threadpool.WorkerStop insta...`

Variable Details

### WorkerStop

  Type:
    `WorkerStop`
  Value:

        <twisted.python.threadpool.WorkerStop instance at 0x84fbf8c>

Generated by Epydoc 2.0 on Sat May 15 20:08:13 2004 | http://epydoc.sf.net